// Compiled by ClojureScript 1.9.293 {:target :nodejs}
goog.provide('eginez.huckleberry.core');
goog.require('cljs.core');
goog.require('eginez.huckleberry.os');
goog.require('clojure.set');
goog.require('cljs.core.async');
goog.require('cljs.nodejs');
goog.require('clojure.string');
eginez.huckleberry.core.default_repos = new cljs.core.PersistentArrayMap(null, 3, [new cljs.core.Keyword(null,"clojars","clojars",1050810118),"https://clojars.org/repo",new cljs.core.Keyword(null,"local","local",-1497766724),clojure.string.join.call(null,eginez.huckleberry.os.SEPARATOR,new cljs.core.PersistentVector(null, 3, 5, cljs.core.PersistentVector.EMPTY_NODE, [eginez.huckleberry.os.HOME_DIR,".m2","repository"], null)),new cljs.core.Keyword(null,"maven-central","maven-central",-580926359),"https://repo1.maven.org/maven2"], null);
eginez.huckleberry.core.is_url_local_QMARK_ = (function eginez$huckleberry$core$is_url_local_QMARK_(url){
return !(clojure.string.starts_with_QMARK_.call(null,url,"http"));
});
eginez.huckleberry.core.create_remote_url_for_depedency = (function eginez$huckleberry$core$create_remote_url_for_depedency(repo,p__19063){
var map__19068 = p__19063;
var map__19068__$1 = ((((!((map__19068 == null)))?((((map__19068.cljs$lang$protocol_mask$partition0$ & (64))) || ((cljs.core.PROTOCOL_SENTINEL === map__19068.cljs$core$ISeq$)))?true:false):false))?cljs.core.apply.call(null,cljs.core.hash_map,map__19068):map__19068);
var group = cljs.core.get.call(null,map__19068__$1,new cljs.core.Keyword(null,"group","group",582596132));
var artifact = cljs.core.get.call(null,map__19068__$1,new cljs.core.Keyword(null,"artifact","artifact",610074681));
var version = cljs.core.get.call(null,map__19068__$1,new cljs.core.Keyword(null,"version","version",425292698));
var sep = (cljs.core.truth_(eginez.huckleberry.core.is_url_local_QMARK_.call(null,repo))?"/":eginez.huckleberry.os.SEPARATOR);
var g = clojure.string.replace.call(null,group,/\./,sep);
var art = clojure.string.join.call(null,"-",new cljs.core.PersistentVector(null, 2, 5, cljs.core.PersistentVector.EMPTY_NODE, [artifact,version], null));
var art_url = clojure.string.join.call(null,sep,new cljs.core.PersistentVector(null, 5, 5, cljs.core.PersistentVector.EMPTY_NODE, [repo,g,artifact,version,art], null));
var ext = new cljs.core.PersistentVector(null, 2, 5, cljs.core.PersistentVector.EMPTY_NODE, ["pom","jar"], null);
return new cljs.core.PersistentVector(null, 2, 5, cljs.core.PersistentVector.EMPTY_NODE, [repo,cljs.core.map.call(null,((function (sep,g,art,art_url,ext,map__19068,map__19068__$1,group,artifact,version){
return (function (p1__19062_SHARP_){
return clojure.string.join.call(null,".",new cljs.core.PersistentVector(null, 2, 5, cljs.core.PersistentVector.EMPTY_NODE, [art_url,p1__19062_SHARP_], null));
});})(sep,g,art,art_url,ext,map__19068,map__19068__$1,group,artifact,version))
,ext)], null);
});
eginez.huckleberry.core.create_urls_for_dependency = (function eginez$huckleberry$core$create_urls_for_dependency(repos,d){
if(cljs.core.coll_QMARK_.call(null,repos)){
return cljs.core.map.call(null,(function (p1__19111_SHARP_){
return eginez.huckleberry.core.create_remote_url_for_depedency.call(null,p1__19111_SHARP_,d);
}),repos);
} else {
return eginez.huckleberry.core.create_remote_url_for_depedency.call(null,repos,d);
}
});
eginez.huckleberry.core.read_url_chan = (function eginez$huckleberry$core$read_url_chan(cout,url){
if(cljs.core.truth_(eginez.huckleberry.core.is_url_local_QMARK_.call(null,url))){
return eginez.huckleberry.os.read_file.call(null,cout,url);
} else {
return eginez.huckleberry.os.make_http_request.call(null,cout,url);
}
});
eginez.huckleberry.core.mvndep__GT_dep = (function eginez$huckleberry$core$mvndep__GT_dep(x){
var g = cljs.core.first.call(null,new cljs.core.Keyword(null,"groupId","groupId",-921143743).cljs$core$IFn$_invoke$arity$1(x));
var a = cljs.core.first.call(null,new cljs.core.Keyword(null,"artifactId","artifactId",1019340147).cljs$core$IFn$_invoke$arity$1(x));
var v = cljs.core.first.call(null,new cljs.core.Keyword(null,"version","version",425292698).cljs$core$IFn$_invoke$arity$1(x));
var m = new cljs.core.PersistentArrayMap(null, 3, [new cljs.core.Keyword(null,"group","group",582596132),g,new cljs.core.Keyword(null,"artifact","artifact",610074681),a,new cljs.core.Keyword(null,"version","version",425292698),v], null);
return m;
});
eginez.huckleberry.core.dep__GT_path = (function eginez$huckleberry$core$dep__GT_path(x){
var vec__19164 = eginez.huckleberry.core.create_remote_url_for_depedency.call(null,new cljs.core.Keyword(null,"url","url",276297046).cljs$core$IFn$_invoke$arity$1(x),x);
var r = cljs.core.nth.call(null,vec__19164,(0),null);
var vec__19167 = cljs.core.nth.call(null,vec__19164,(1),null);
var pom = cljs.core.nth.call(null,vec__19167,(0),null);
var jar = cljs.core.nth.call(null,vec__19167,(1),null);
return jar;
});
eginez.huckleberry.core.dep__GT_coordinate = (function eginez$huckleberry$core$dep__GT_coordinate(dep){
return [cljs.core.str(new cljs.core.Keyword(null,"group","group",582596132).cljs$core$IFn$_invoke$arity$1(dep)),cljs.core.str("/"),cljs.core.str(new cljs.core.Keyword(null,"artifact","artifact",610074681).cljs$core$IFn$_invoke$arity$1(dep)),cljs.core.str(" "),cljs.core.str(new cljs.core.Keyword(null,"version","version",425292698).cljs$core$IFn$_invoke$arity$1(dep))].join('');
});
eginez.huckleberry.core.clean_deps = (function eginez$huckleberry$core$clean_deps(x){
var y = cljs.core.remove.call(null,(function (p1__19174_SHARP_){
return (cljs.core._EQ_.call(null,"test",cljs.core.first.call(null,new cljs.core.Keyword(null,"scope","scope",-439358418).cljs$core$IFn$_invoke$arity$1(p1__19174_SHARP_)))) || (cljs.core._EQ_.call(null,"true",cljs.core.first.call(null,new cljs.core.Keyword(null,"optional","optional",2053951509).cljs$core$IFn$_invoke$arity$1(p1__19174_SHARP_))));
}),x);
return y;
});
eginez.huckleberry.core.read_dependency_pipeline = (function eginez$huckleberry$core$read_dependency_pipeline(url_set){

var repo_url = cljs.core.first.call(null,url_set);
var pom_url = cljs.core.first.call(null,cljs.core.second.call(null,url_set));
var c = cljs.core.async.chan.call(null,(1),cljs.core.comp.call(null,cljs.core.map.call(null,eginez.huckleberry.os.parse_xml),cljs.core.map.call(null,((function (repo_url,pom_url){
return (function (p1__19177_SHARP_){
return cljs.core.js__GT_clj.call(null,p1__19177_SHARP_,new cljs.core.Keyword(null,"keywordize-keys","keywordize-keys",1310784252),true);
});})(repo_url,pom_url))
),cljs.core.map.call(null,((function (repo_url,pom_url){
return (function (p1__19178_SHARP_){
return cljs.core.get_in.call(null,p1__19178_SHARP_,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"project","project",1124394579),new cljs.core.Keyword(null,"dependencies","dependencies",1108064605),(0),new cljs.core.Keyword(null,"dependency","dependency",1300131203)], null));
});})(repo_url,pom_url))
),cljs.core.map.call(null,eginez.huckleberry.core.clean_deps),cljs.core.map.call(null,((function (repo_url,pom_url){
return (function (p1__19183_SHARP_){
return cljs.core.map.call(null,eginez.huckleberry.core.mvndep__GT_dep,p1__19183_SHARP_);
});})(repo_url,pom_url))
),cljs.core.map.call(null,((function (repo_url,pom_url){
return (function (p1__19184_SHARP_){
return cljs.core.into.call(null,cljs.core.PersistentHashSet.EMPTY,p1__19184_SHARP_);
});})(repo_url,pom_url))
),cljs.core.map.call(null,((function (repo_url,pom_url){
return (function (p1__19185_SHARP_){
return cljs.core.conj.call(null,cljs.core.PersistentVector.EMPTY,repo_url,p1__19185_SHARP_);
});})(repo_url,pom_url))
)));
return eginez.huckleberry.core.read_url_chan.call(null,c,pom_url);
});
eginez.huckleberry.core.extract_dependencies = (function eginez$huckleberry$core$extract_dependencies(url_set){
return cljs.core.map.call(null,eginez.huckleberry.core.read_dependency_pipeline,url_set);
});
eginez.huckleberry.core.resolve = (function eginez$huckleberry$core$resolve(var_args){
var args__7658__auto__ = [];
var len__7651__auto___19344 = arguments.length;
var i__7652__auto___19345 = (0);
while(true){
if((i__7652__auto___19345 < len__7651__auto___19344)){
args__7658__auto__.push((arguments[i__7652__auto___19345]));

var G__19346 = (i__7652__auto___19345 + (1));
i__7652__auto___19345 = G__19346;
continue;
} else {
}
break;
}

var argseq__7659__auto__ = ((((1) < args__7658__auto__.length))?(new cljs.core.IndexedSeq(args__7658__auto__.slice((1)),(0),null)):null);
return eginez.huckleberry.core.resolve.cljs$core$IFn$_invoke$arity$variadic((arguments[(0)]),argseq__7659__auto__);
});

eginez.huckleberry.core.resolve.cljs$core$IFn$_invoke$arity$variadic = (function (dep,p__19243){
var map__19244 = p__19243;
var map__19244__$1 = ((((!((map__19244 == null)))?((((map__19244.cljs$lang$protocol_mask$partition0$ & (64))) || ((cljs.core.PROTOCOL_SENTINEL === map__19244.cljs$core$ISeq$)))?true:false):false))?cljs.core.apply.call(null,cljs.core.hash_map,map__19244):map__19244);
var repositories = cljs.core.get.call(null,map__19244__$1,new cljs.core.Keyword(null,"repositories","repositories",1367837581));
var local_repo = cljs.core.get.call(null,map__19244__$1,new cljs.core.Keyword(null,"local-repo","local-repo",764410280));
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (state_19312){
var state_val_19313 = (state_19312[(1)]);
if((state_val_19313 === (7))){
var inst_19250 = (state_19312[(7)]);
var inst_19264 = (state_19312[(8)]);
var inst_19254 = (state_19312[(9)]);
var inst_19253 = (state_19312[(10)]);
var inst_19255 = (state_19312[(11)]);
var inst_19267 = (state_19312[(12)]);
var inst_19269 = (state_19312[(13)]);
var inst_19252 = (state_19312[(14)]);
var inst_19278 = (state_19312[(15)]);
var inst_19265 = (state_19312[(16)]);
var inst_19251 = (state_19312[(17)]);
var inst_19270 = (state_19312[(18)]);
var inst_19272 = (state_19312[(2)]);
var inst_19273 = cljs.core.nth.call(null,inst_19272,(0),null);
var inst_19274 = cljs.core.nth.call(null,inst_19273,(0),null);
var inst_19275 = cljs.core.nth.call(null,inst_19273,(1),null);
var inst_19276 = cljs.core.nth.call(null,inst_19272,(1),null);
var inst_19277 = (function (){var vec__19261 = inst_19273;
var tout = inst_19269;
var no_excl = inst_19264;
var deps = inst_19275;
var repo_reqs = inst_19270;
var urls = inst_19267;
var to_do = inst_19251;
var done = inst_19252;
var exclusions = inst_19254;
var url_set = inst_19265;
var ch = inst_19276;
var locations = inst_19253;
var vec__19258 = inst_19272;
var status = inst_19255;
var next = inst_19250;
var url = inst_19274;
return ((function (vec__19261,tout,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (p1__19238_SHARP_){
return !((ch === p1__19238_SHARP_));
});
;})(vec__19261,tout,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
})();
var inst_19278__$1 = cljs.core.filter.call(null,inst_19277,inst_19270);
var inst_19279 = (function (){var vec__19261 = inst_19273;
var tout = inst_19269;
var to_kill = inst_19278__$1;
var no_excl = inst_19264;
var deps = inst_19275;
var repo_reqs = inst_19270;
var urls = inst_19267;
var to_do = inst_19251;
var done = inst_19252;
var exclusions = inst_19254;
var url_set = inst_19265;
var ch = inst_19276;
var locations = inst_19253;
var vec__19258 = inst_19272;
var status = inst_19255;
var next = inst_19250;
var url = inst_19274;
return ((function (vec__19261,tout,to_kill,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,inst_19277,inst_19278__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (x){
return cljs.core.empty_QMARK_.call(null,cljs.core.filter.call(null,((function (vec__19261,tout,to_kill,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,inst_19277,inst_19278__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (p1__19239_SHARP_){
return (cljs.core._EQ_.call(null,new cljs.core.Keyword(null,"group","group",582596132).cljs$core$IFn$_invoke$arity$1(p1__19239_SHARP_),new cljs.core.Keyword(null,"group","group",582596132).cljs$core$IFn$_invoke$arity$1(x))) && (cljs.core._EQ_.call(null,new cljs.core.Keyword(null,"artifact","artifact",610074681).cljs$core$IFn$_invoke$arity$1(p1__19239_SHARP_),new cljs.core.Keyword(null,"artifact","artifact",610074681).cljs$core$IFn$_invoke$arity$1(x)));
});})(vec__19261,tout,to_kill,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,inst_19277,inst_19278__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
,exclusions));
});
;})(vec__19261,tout,to_kill,no_excl,deps,repo_reqs,urls,to_do,done,exclusions,url_set,ch,locations,vec__19258,status,next,url,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19267,inst_19269,inst_19252,inst_19278,inst_19265,inst_19251,inst_19270,inst_19272,inst_19273,inst_19274,inst_19275,inst_19276,inst_19277,inst_19278__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
})();
var inst_19280 = cljs.core.filter.call(null,inst_19279,inst_19275);
var inst_19281 = clojure.set.union.call(null,inst_19251,inst_19280);
var inst_19282 = cljs.core.PersistentHashSet.EMPTY;
var inst_19283 = cljs.core.assoc.call(null,inst_19264,new cljs.core.Keyword(null,"url","url",276297046),inst_19274);
var inst_19284 = cljs.core.conj.call(null,inst_19282,inst_19283);
var inst_19285 = clojure.set.union.call(null,inst_19253,inst_19284);
var inst_19286 = [inst_19264];
var inst_19287 = [inst_19280];
var inst_19288 = cljs.core.PersistentHashMap.fromArrays(inst_19286,inst_19287);
var inst_19289 = cljs.core.into.call(null,inst_19252,inst_19288);
var inst_19290 = (inst_19269 === inst_19276);
var inst_19291 = cljs.core.not.call(null,inst_19290);
var state_19312__$1 = (function (){var statearr_19314 = state_19312;
(statearr_19314[(19)] = inst_19289);

(statearr_19314[(20)] = inst_19285);

(statearr_19314[(15)] = inst_19278__$1);

(statearr_19314[(21)] = inst_19281);

return statearr_19314;
})();
if(inst_19291){
var statearr_19315_19369 = state_19312__$1;
(statearr_19315_19369[(1)] = (8));

} else {
var statearr_19316_19370 = state_19312__$1;
(statearr_19316_19370[(1)] = (9));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (1))){
var inst_19246 = cljs.core.PersistentHashSet.EMPTY;
var inst_19247 = cljs.core.PersistentHashMap.EMPTY;
var inst_19248 = cljs.core.PersistentHashSet.EMPTY;
var inst_19249 = new cljs.core.Keyword(null,"exclusions","exclusions",1098729003).cljs$core$IFn$_invoke$arity$1(dep);
var inst_19250 = dep;
var inst_19251 = inst_19246;
var inst_19252 = inst_19247;
var inst_19253 = inst_19248;
var inst_19254 = inst_19249;
var inst_19255 = true;
var state_19312__$1 = (function (){var statearr_19317 = state_19312;
(statearr_19317[(7)] = inst_19250);

(statearr_19317[(9)] = inst_19254);

(statearr_19317[(10)] = inst_19253);

(statearr_19317[(11)] = inst_19255);

(statearr_19317[(14)] = inst_19252);

(statearr_19317[(17)] = inst_19251);

return statearr_19317;
})();
var statearr_19318_19371 = state_19312__$1;
(statearr_19318_19371[(2)] = null);

(statearr_19318_19371[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (4))){
var inst_19250 = (state_19312[(7)]);
var inst_19264 = (state_19312[(8)]);
var inst_19254 = (state_19312[(9)]);
var inst_19253 = (state_19312[(10)]);
var inst_19255 = (state_19312[(11)]);
var inst_19269 = (state_19312[(13)]);
var inst_19252 = (state_19312[(14)]);
var inst_19265 = (state_19312[(16)]);
var inst_19251 = (state_19312[(17)]);
var inst_19270 = (state_19312[(18)]);
var inst_19264__$1 = cljs.core.dissoc.call(null,inst_19250,new cljs.core.Keyword(null,"exclusions","exclusions",1098729003));
var inst_19265__$1 = eginez.huckleberry.core.create_urls_for_dependency.call(null,repositories,inst_19264__$1);
var inst_19266 = (function (){var next = inst_19250;
var to_do = inst_19251;
var done = inst_19252;
var locations = inst_19253;
var exclusions = inst_19254;
var status = inst_19255;
var no_excl = inst_19264__$1;
var url_set = inst_19265__$1;
return ((function (next,to_do,done,locations,exclusions,status,no_excl,url_set,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19269,inst_19252,inst_19265,inst_19251,inst_19270,inst_19264__$1,inst_19265__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function (p1__19237_SHARP_){
return cljs.core.first.call(null,cljs.core.second.call(null,p1__19237_SHARP_));
});
;})(next,to_do,done,locations,exclusions,status,no_excl,url_set,inst_19250,inst_19264,inst_19254,inst_19253,inst_19255,inst_19269,inst_19252,inst_19265,inst_19251,inst_19270,inst_19264__$1,inst_19265__$1,state_val_19313,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
})();
var inst_19267 = cljs.core.map.call(null,inst_19266,inst_19265__$1);
var inst_19268 = eginez.huckleberry.core.extract_dependencies.call(null,inst_19265__$1);
var inst_19269__$1 = cljs.core.async.timeout.call(null,(5000));
var inst_19270__$1 = cljs.core.conj.call(null,inst_19268,inst_19269__$1);
var state_19312__$1 = (function (){var statearr_19319 = state_19312;
(statearr_19319[(8)] = inst_19264__$1);

(statearr_19319[(12)] = inst_19267);

(statearr_19319[(13)] = inst_19269__$1);

(statearr_19319[(16)] = inst_19265__$1);

(statearr_19319[(18)] = inst_19270__$1);

return statearr_19319;
})();
return cljs.core.async.ioc_alts_BANG_.call(null,state_19312__$1,(7),inst_19270__$1);
} else {
if((state_val_19313 === (6))){
var inst_19308 = (state_19312[(2)]);
var state_19312__$1 = state_19312;
var statearr_19320_19382 = state_19312__$1;
(statearr_19320_19382[(2)] = inst_19308);

(statearr_19320_19382[(1)] = (3));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (3))){
var inst_19310 = (state_19312[(2)]);
var state_19312__$1 = state_19312;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19312__$1,inst_19310);
} else {
if((state_val_19313 === (2))){
var inst_19250 = (state_19312[(7)]);
var state_19312__$1 = state_19312;
if(cljs.core.truth_(inst_19250)){
var statearr_19322_19383 = state_19312__$1;
(statearr_19322_19383[(1)] = (4));

} else {
var statearr_19323_19384 = state_19312__$1;
(statearr_19323_19384[(1)] = (5));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (9))){
var inst_19250 = (state_19312[(7)]);
var inst_19298 = cljs.core.PersistentVector.EMPTY;
var inst_19299 = cljs.core.PersistentVector.EMPTY;
var tmp19321 = inst_19250;
var inst_19250__$1 = null;
var inst_19251 = null;
var inst_19252 = tmp19321;
var inst_19253 = inst_19298;
var inst_19254 = inst_19299;
var inst_19255 = false;
var state_19312__$1 = (function (){var statearr_19324 = state_19312;
(statearr_19324[(7)] = inst_19250__$1);

(statearr_19324[(9)] = inst_19254);

(statearr_19324[(10)] = inst_19253);

(statearr_19324[(11)] = inst_19255);

(statearr_19324[(14)] = inst_19252);

(statearr_19324[(17)] = inst_19251);

return statearr_19324;
})();
var statearr_19325_19390 = state_19312__$1;
(statearr_19325_19390[(2)] = null);

(statearr_19325_19390[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (5))){
var inst_19253 = (state_19312[(10)]);
var inst_19255 = (state_19312[(11)]);
var inst_19252 = (state_19312[(14)]);
var inst_19304 = cljs.core.PersistentVector.EMPTY_NODE;
var inst_19305 = [inst_19255,inst_19252,inst_19253];
var inst_19306 = (new cljs.core.PersistentVector(null,3,(5),inst_19304,inst_19305,null));
var state_19312__$1 = state_19312;
var statearr_19327_19400 = state_19312__$1;
(statearr_19327_19400[(2)] = inst_19306);

(statearr_19327_19400[(1)] = (6));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (10))){
var inst_19302 = (state_19312[(2)]);
var state_19312__$1 = state_19312;
var statearr_19328_19405 = state_19312__$1;
(statearr_19328_19405[(2)] = inst_19302);

(statearr_19328_19405[(1)] = (6));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19313 === (8))){
var inst_19254 = (state_19312[(9)]);
var inst_19289 = (state_19312[(19)]);
var inst_19285 = (state_19312[(20)]);
var inst_19278 = (state_19312[(15)]);
var inst_19281 = (state_19312[(21)]);
var inst_19293 = cljs.core.map.call(null,cljs.core.async.close_BANG_,inst_19278);
var inst_19294 = cljs.core.first.call(null,inst_19281);
var inst_19295 = cljs.core.rest.call(null,inst_19281);
var tmp19326 = inst_19254;
var inst_19250 = inst_19294;
var inst_19251 = inst_19295;
var inst_19252 = inst_19289;
var inst_19253 = inst_19285;
var inst_19254__$1 = tmp19326;
var inst_19255 = true;
var state_19312__$1 = (function (){var statearr_19329 = state_19312;
(statearr_19329[(7)] = inst_19250);

(statearr_19329[(9)] = inst_19254__$1);

(statearr_19329[(10)] = inst_19253);

(statearr_19329[(11)] = inst_19255);

(statearr_19329[(22)] = inst_19293);

(statearr_19329[(14)] = inst_19252);

(statearr_19329[(17)] = inst_19251);

return statearr_19329;
})();
var statearr_19333_19421 = state_19312__$1;
(statearr_19333_19421[(2)] = null);

(statearr_19333_19421[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
return null;
}
}
}
}
}
}
}
}
}
}
});})(c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
;
return ((function (switch__13813__auto__,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo){
return (function() {
var eginez$huckleberry$core$state_machine__13814__auto__ = null;
var eginez$huckleberry$core$state_machine__13814__auto____0 = (function (){
var statearr_19340 = [null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null];
(statearr_19340[(0)] = eginez$huckleberry$core$state_machine__13814__auto__);

(statearr_19340[(1)] = (1));

return statearr_19340;
});
var eginez$huckleberry$core$state_machine__13814__auto____1 = (function (state_19312){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19312);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19341){if((e19341 instanceof Object)){
var ex__13817__auto__ = e19341;
var statearr_19342_19427 = state_19312;
(statearr_19342_19427[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19312);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19341;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__19429 = state_19312;
state_19312 = G__19429;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$state_machine__13814__auto__ = function(state_19312){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$state_machine__13814__auto____1.call(this,state_19312);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$state_machine__13814__auto____0;
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$state_machine__13814__auto____1;
return eginez$huckleberry$core$state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
})();
var state__13838__auto__ = (function (){var statearr_19343 = f__13837__auto__.call(null);
(statearr_19343[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19343;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__,map__19244,map__19244__$1,repositories,local_repo))
);

return c__13836__auto__;
});

eginez.huckleberry.core.resolve.cljs$lang$maxFixedArity = (1);

eginez.huckleberry.core.resolve.cljs$lang$applyTo = (function (seq19240){
var G__19241 = cljs.core.first.call(null,seq19240);
var seq19240__$1 = cljs.core.next.call(null,seq19240);
return eginez.huckleberry.core.resolve.cljs$core$IFn$_invoke$arity$variadic(G__19241,seq19240__$1);
});

eginez.huckleberry.core.resolve_all = (function eginez$huckleberry$core$resolve_all(var_args){
var args__7658__auto__ = [];
var len__7651__auto___19508 = arguments.length;
var i__7652__auto___19511 = (0);
while(true){
if((i__7652__auto___19511 < len__7651__auto___19508)){
args__7658__auto__.push((arguments[i__7652__auto___19511]));

var G__19512 = (i__7652__auto___19511 + (1));
i__7652__auto___19511 = G__19512;
continue;
} else {
}
break;
}

var argseq__7659__auto__ = ((((1) < args__7658__auto__.length))?(new cljs.core.IndexedSeq(args__7658__auto__.slice((1)),(0),null)):null);
return eginez.huckleberry.core.resolve_all.cljs$core$IFn$_invoke$arity$variadic((arguments[(0)]),argseq__7659__auto__);
});

eginez.huckleberry.core.resolve_all.cljs$core$IFn$_invoke$arity$variadic = (function (all_deps,opts){
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__){
return (function (state_19474){
var state_val_19475 = (state_19474[(1)]);
if((state_val_19475 === (7))){
var inst_19438 = (state_19474[(7)]);
var inst_19454 = (state_19474[(8)]);
var inst_19454__$1 = cljs.core.first.call(null,inst_19438);
var inst_19455 = cljs.core.apply.call(null,eginez.huckleberry.core.resolve,inst_19454__$1,opts);
var state_19474__$1 = (function (){var statearr_19476 = state_19474;
(statearr_19476[(8)] = inst_19454__$1);

return statearr_19476;
})();
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19474__$1,(10),inst_19455);
} else {
if((state_val_19475 === (1))){
var inst_19436 = cljs.core.PersistentVector.EMPTY;
var inst_19437 = cljs.core.PersistentHashSet.EMPTY;
var inst_19438 = all_deps;
var inst_19439 = inst_19436;
var inst_19440 = inst_19437;
var inst_19441 = true;
var state_19474__$1 = (function (){var statearr_19477 = state_19474;
(statearr_19477[(9)] = inst_19440);

(statearr_19477[(7)] = inst_19438);

(statearr_19477[(10)] = inst_19441);

(statearr_19477[(11)] = inst_19439);

return statearr_19477;
})();
var statearr_19478_19519 = state_19474__$1;
(statearr_19478_19519[(2)] = null);

(statearr_19478_19519[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (4))){
var inst_19438 = (state_19474[(7)]);
var inst_19445 = cljs.core.empty_QMARK_.call(null,inst_19438);
var inst_19446 = !(inst_19445);
var state_19474__$1 = state_19474;
var statearr_19481_19522 = state_19474__$1;
(statearr_19481_19522[(2)] = inst_19446);

(statearr_19481_19522[(1)] = (6));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (6))){
var inst_19449 = (state_19474[(2)]);
var state_19474__$1 = state_19474;
if(cljs.core.truth_(inst_19449)){
var statearr_19483_19524 = state_19474__$1;
(statearr_19483_19524[(1)] = (7));

} else {
var statearr_19484_19525 = state_19474__$1;
(statearr_19484_19525[(1)] = (8));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (3))){
var inst_19472 = (state_19474[(2)]);
var state_19474__$1 = state_19474;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19474__$1,inst_19472);
} else {
if((state_val_19475 === (2))){
var inst_19441 = (state_19474[(10)]);
var state_19474__$1 = state_19474;
if(cljs.core.truth_(inst_19441)){
var statearr_19485_19526 = state_19474__$1;
(statearr_19485_19526[(1)] = (4));

} else {
var statearr_19486_19527 = state_19474__$1;
(statearr_19486_19527[(1)] = (5));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (9))){
var inst_19470 = (state_19474[(2)]);
var state_19474__$1 = state_19474;
var statearr_19487_19530 = state_19474__$1;
(statearr_19487_19530[(2)] = inst_19470);

(statearr_19487_19530[(1)] = (3));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (5))){
var inst_19441 = (state_19474[(10)]);
var state_19474__$1 = state_19474;
var statearr_19488_19534 = state_19474__$1;
(statearr_19488_19534[(2)] = inst_19441);

(statearr_19488_19534[(1)] = (6));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (10))){
var inst_19440 = (state_19474[(9)]);
var inst_19438 = (state_19474[(7)]);
var inst_19454 = (state_19474[(8)]);
var inst_19439 = (state_19474[(11)]);
var inst_19457 = (state_19474[(2)]);
var inst_19458 = cljs.core.nth.call(null,inst_19457,(0),null);
var inst_19459 = cljs.core.nth.call(null,inst_19457,(1),null);
var inst_19460 = cljs.core.nth.call(null,inst_19457,(2),null);
var inst_19461 = cljs.core.conj.call(null,inst_19439,inst_19454,inst_19459);
var inst_19462 = cljs.core.rest.call(null,inst_19438);
var inst_19463 = clojure.set.union.call(null,inst_19440,inst_19460);
var inst_19438__$1 = inst_19462;
var inst_19439__$1 = inst_19461;
var inst_19440__$1 = inst_19463;
var inst_19441 = inst_19458;
var state_19474__$1 = (function (){var statearr_19489 = state_19474;
(statearr_19489[(9)] = inst_19440__$1);

(statearr_19489[(7)] = inst_19438__$1);

(statearr_19489[(10)] = inst_19441);

(statearr_19489[(11)] = inst_19439__$1);

return statearr_19489;
})();
var statearr_19492_19543 = state_19474__$1;
(statearr_19492_19543[(2)] = null);

(statearr_19492_19543[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19475 === (8))){
var inst_19440 = (state_19474[(9)]);
var inst_19441 = (state_19474[(10)]);
var inst_19439 = (state_19474[(11)]);
var inst_19466 = cljs.core.PersistentVector.EMPTY_NODE;
var inst_19467 = [inst_19441,inst_19439,inst_19440];
var inst_19468 = (new cljs.core.PersistentVector(null,3,(5),inst_19466,inst_19467,null));
var state_19474__$1 = state_19474;
var statearr_19493_19546 = state_19474__$1;
(statearr_19493_19546[(2)] = inst_19468);

(statearr_19493_19546[(1)] = (9));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
return null;
}
}
}
}
}
}
}
}
}
}
});})(c__13836__auto__))
;
return ((function (switch__13813__auto__,c__13836__auto__){
return (function() {
var eginez$huckleberry$core$state_machine__13814__auto__ = null;
var eginez$huckleberry$core$state_machine__13814__auto____0 = (function (){
var statearr_19499 = [null,null,null,null,null,null,null,null,null,null,null,null];
(statearr_19499[(0)] = eginez$huckleberry$core$state_machine__13814__auto__);

(statearr_19499[(1)] = (1));

return statearr_19499;
});
var eginez$huckleberry$core$state_machine__13814__auto____1 = (function (state_19474){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19474);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19500){if((e19500 instanceof Object)){
var ex__13817__auto__ = e19500;
var statearr_19501_19551 = state_19474;
(statearr_19501_19551[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19474);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19500;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__19552 = state_19474;
state_19474 = G__19552;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$state_machine__13814__auto__ = function(state_19474){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$state_machine__13814__auto____1.call(this,state_19474);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$state_machine__13814__auto____0;
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$state_machine__13814__auto____1;
return eginez$huckleberry$core$state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__))
})();
var state__13838__auto__ = (function (){var statearr_19502 = f__13837__auto__.call(null);
(statearr_19502[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19502;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__))
);

return c__13836__auto__;
});

eginez.huckleberry.core.resolve_all.cljs$lang$maxFixedArity = (1);

eginez.huckleberry.core.resolve_all.cljs$lang$applyTo = (function (seq19431){
var G__19432 = cljs.core.first.call(null,seq19431);
var seq19431__$1 = cljs.core.next.call(null,seq19431);
return eginez.huckleberry.core.resolve_all.cljs$core$IFn$_invoke$arity$variadic(G__19432,seq19431__$1);
});

eginez.huckleberry.core.group = (function eginez$huckleberry$core$group(group_artifact){
var or__6543__auto__ = cljs.core.namespace.call(null,group_artifact);
if(cljs.core.truth_(or__6543__auto__)){
return or__6543__auto__;
} else {
return cljs.core.name.call(null,group_artifact);
}
});
eginez.huckleberry.core.exclusion = (function eginez$huckleberry$core$exclusion(p__19559){
var vec__19570 = p__19559;
var seq__19571 = cljs.core.seq.call(null,vec__19570);
var first__19572 = cljs.core.first.call(null,seq__19571);
var seq__19571__$1 = cljs.core.next.call(null,seq__19571);
var group_artifact = first__19572;
var map__19573 = seq__19571__$1;
var map__19573__$1 = ((((!((map__19573 == null)))?((((map__19573.cljs$lang$protocol_mask$partition0$ & (64))) || ((cljs.core.PROTOCOL_SENTINEL === map__19573.cljs$core$ISeq$)))?true:false):false))?cljs.core.apply.call(null,cljs.core.hash_map,map__19573):map__19573);
var opts = map__19573__$1;
return new cljs.core.PersistentArrayMap(null, 4, [new cljs.core.Keyword(null,"group","group",582596132),eginez.huckleberry.core.group.call(null,group_artifact),new cljs.core.Keyword(null,"artifact","artifact",610074681),cljs.core.name.call(null,group_artifact),new cljs.core.Keyword(null,"classifier","classifier",-864028247),new cljs.core.Keyword(null,"classifier","classifier",-864028247).cljs$core$IFn$_invoke$arity$2(opts,"*"),new cljs.core.Keyword(null,"extension","extension",1453374065),new cljs.core.Keyword(null,"extension","extension",1453374065).cljs$core$IFn$_invoke$arity$2(opts,"*")], null);
});
eginez.huckleberry.core.normalize_exclusion_spec = (function eginez$huckleberry$core$normalize_exclusion_spec(spec){
if((spec instanceof cljs.core.Symbol)){
return new cljs.core.PersistentVector(null, 1, 5, cljs.core.PersistentVector.EMPTY_NODE, [spec], null);
} else {
return spec;
}
});
eginez.huckleberry.core.dependency = (function eginez$huckleberry$core$dependency(p__19576){
var vec__19585 = p__19576;
var seq__19586 = cljs.core.seq.call(null,vec__19585);
var first__19587 = cljs.core.first.call(null,seq__19586);
var seq__19586__$1 = cljs.core.next.call(null,seq__19586);
var group_artifact = first__19587;
var first__19587__$1 = cljs.core.first.call(null,seq__19586__$1);
var seq__19586__$2 = cljs.core.next.call(null,seq__19586__$1);
var version = first__19587__$1;
var map__19588 = seq__19586__$2;
var map__19588__$1 = ((((!((map__19588 == null)))?((((map__19588.cljs$lang$protocol_mask$partition0$ & (64))) || ((cljs.core.PROTOCOL_SENTINEL === map__19588.cljs$core$ISeq$)))?true:false):false))?cljs.core.apply.call(null,cljs.core.hash_map,map__19588):map__19588);
var opts = map__19588__$1;
var scope = cljs.core.get.call(null,map__19588__$1,new cljs.core.Keyword(null,"scope","scope",-439358418),"compile");
var optional = cljs.core.get.call(null,map__19588__$1,new cljs.core.Keyword(null,"optional","optional",2053951509),false);
var exclusions = cljs.core.get.call(null,map__19588__$1,new cljs.core.Keyword(null,"exclusions","exclusions",1098729003));
var dep_spec = vec__19585;
return new cljs.core.PersistentArrayMap(null, 4, [new cljs.core.Keyword(null,"group","group",582596132),eginez.huckleberry.core.group.call(null,group_artifact),new cljs.core.Keyword(null,"artifact","artifact",610074681),cljs.core.name.call(null,group_artifact),new cljs.core.Keyword(null,"version","version",425292698),version,new cljs.core.Keyword(null,"exclusions","exclusions",1098729003),cljs.core.map.call(null,cljs.core.comp.call(null,eginez.huckleberry.core.exclusion,eginez.huckleberry.core.normalize_exclusion_spec),exclusions)], null);
});
eginez.huckleberry.core.download_and_save_pipeline = (function eginez$huckleberry$core$download_and_save_pipeline(p__19598){
var vec__19602 = p__19598;
var download_from = cljs.core.nth.call(null,vec__19602,(0),null);
var save_to = cljs.core.nth.call(null,vec__19602,(1),null);
var c = cljs.core.async.chan.call(null,(1024),cljs.core.comp.call(null,cljs.core.map.call(null,((function (vec__19602,download_from,save_to){
return (function (p1__19597_SHARP_){
return eginez.huckleberry.os.write_file.call(null,save_to,p1__19597_SHARP_);
});})(vec__19602,download_from,save_to))
)));
return eginez.huckleberry.os.make_http_request.call(null,c,download_from);
});
eginez.huckleberry.core.retrieve = (function eginez$huckleberry$core$retrieve(dep,in_repo){
var repo_url = new cljs.core.Keyword(null,"url","url",276297046).cljs$core$IFn$_invoke$arity$1(dep);
var urls = eginez.huckleberry.core.create_urls_for_dependency.call(null,repo_url,dep);
var save_to_locations = eginez.huckleberry.core.create_urls_for_dependency.call(null,in_repo,dep);
var urls_to_proc = cljs.core.map.call(null,cljs.core.vector,cljs.core.second.call(null,urls),cljs.core.second.call(null,save_to_locations));
var local_deps = cljs.core.assoc.call(null,dep,new cljs.core.Keyword(null,"url","url",276297046),in_repo);
var c_jar = eginez.huckleberry.core.download_and_save_pipeline.call(null,cljs.core.second.call(null,urls_to_proc));
var c_pom = eginez.huckleberry.core.download_and_save_pipeline.call(null,cljs.core.first.call(null,urls_to_proc));
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom){
return (function (state_19647){
var state_val_19648 = (state_19647[(1)]);
if((state_val_19648 === (1))){
var inst_19638 = cljs.core.second.call(null,urls_to_proc);
var inst_19639 = cljs.core.first.call(null,inst_19638);
var inst_19640 = cljs.core.println.call(null,"Downloading",inst_19639);
var state_19647__$1 = (function (){var statearr_19653 = state_19647;
(statearr_19653[(7)] = inst_19640);

return statearr_19653;
})();
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19647__$1,(2),c_jar);
} else {
if((state_val_19648 === (2))){
var inst_19642 = (state_19647[(2)]);
var state_19647__$1 = (function (){var statearr_19654 = state_19647;
(statearr_19654[(8)] = inst_19642);

return statearr_19654;
})();
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19647__$1,(3),c_pom);
} else {
if((state_val_19648 === (3))){
var inst_19644 = (state_19647[(2)]);
var state_19647__$1 = (function (){var statearr_19655 = state_19647;
(statearr_19655[(9)] = inst_19644);

return statearr_19655;
})();
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19647__$1,local_deps);
} else {
return null;
}
}
}
});})(c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom))
;
return ((function (switch__13813__auto__,c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom){
return (function() {
var eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__ = null;
var eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____0 = (function (){
var statearr_19659 = [null,null,null,null,null,null,null,null,null,null];
(statearr_19659[(0)] = eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__);

(statearr_19659[(1)] = (1));

return statearr_19659;
});
var eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____1 = (function (state_19647){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19647);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19660){if((e19660 instanceof Object)){
var ex__13817__auto__ = e19660;
var statearr_19661_19675 = state_19647;
(statearr_19661_19675[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19647);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19660;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__19676 = state_19647;
state_19647 = G__19676;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__ = function(state_19647){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____1.call(this,state_19647);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____0;
eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$retrieve_$_state_machine__13814__auto____1;
return eginez$huckleberry$core$retrieve_$_state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom))
})();
var state__13838__auto__ = (function (){var statearr_19662 = f__13837__auto__.call(null);
(statearr_19662[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19662;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__,repo_url,urls,save_to_locations,urls_to_proc,local_deps,c_jar,c_pom))
);

return c__13836__auto__;
});
eginez.huckleberry.core.retrieve_all = (function eginez$huckleberry$core$retrieve_all(local_deps,to_do,in_repo){
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__){
return (function (state_19769){
var state_val_19771 = (state_19769[(1)]);
if((state_val_19771 === (1))){
var inst_19748 = local_deps;
var inst_19749 = to_do;
var inst_19750 = in_repo;
var state_19769__$1 = (function (){var statearr_19776 = state_19769;
(statearr_19776[(7)] = inst_19749);

(statearr_19776[(8)] = inst_19748);

(statearr_19776[(9)] = inst_19750);

return statearr_19776;
})();
var statearr_19777_19796 = state_19769__$1;
(statearr_19777_19796[(2)] = null);

(statearr_19777_19796[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19771 === (2))){
var inst_19749 = (state_19769[(7)]);
var inst_19754 = cljs.core.empty_QMARK_.call(null,inst_19749);
var state_19769__$1 = state_19769;
if(inst_19754){
var statearr_19778_19799 = state_19769__$1;
(statearr_19778_19799[(1)] = (4));

} else {
var statearr_19779_19800 = state_19769__$1;
(statearr_19779_19800[(1)] = (5));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19771 === (3))){
var inst_19767 = (state_19769[(2)]);
var state_19769__$1 = state_19769;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19769__$1,inst_19767);
} else {
if((state_val_19771 === (4))){
var inst_19748 = (state_19769[(8)]);
var state_19769__$1 = state_19769;
var statearr_19781_19802 = state_19769__$1;
(statearr_19781_19802[(2)] = inst_19748);

(statearr_19781_19802[(1)] = (6));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19771 === (5))){
var inst_19749 = (state_19769[(7)]);
var inst_19757 = cljs.core.first.call(null,inst_19749);
var inst_19758 = eginez.huckleberry.core.retrieve.call(null,inst_19757,in_repo);
var state_19769__$1 = state_19769;
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19769__$1,(7),inst_19758);
} else {
if((state_val_19771 === (6))){
var inst_19765 = (state_19769[(2)]);
var state_19769__$1 = state_19769;
var statearr_19782_19804 = state_19769__$1;
(statearr_19782_19804[(2)] = inst_19765);

(statearr_19782_19804[(1)] = (3));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19771 === (7))){
var inst_19749 = (state_19769[(7)]);
var inst_19748 = (state_19769[(8)]);
var inst_19760 = (state_19769[(2)]);
var inst_19761 = cljs.core.conj.call(null,inst_19748,inst_19760);
var inst_19762 = cljs.core.rest.call(null,inst_19749);
var inst_19748__$1 = inst_19761;
var inst_19749__$1 = inst_19762;
var inst_19750 = in_repo;
var state_19769__$1 = (function (){var statearr_19783 = state_19769;
(statearr_19783[(7)] = inst_19749__$1);

(statearr_19783[(8)] = inst_19748__$1);

(statearr_19783[(9)] = inst_19750);

return statearr_19783;
})();
var statearr_19784_19819 = state_19769__$1;
(statearr_19784_19819[(2)] = null);

(statearr_19784_19819[(1)] = (2));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
return null;
}
}
}
}
}
}
}
});})(c__13836__auto__))
;
return ((function (switch__13813__auto__,c__13836__auto__){
return (function() {
var eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__ = null;
var eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____0 = (function (){
var statearr_19788 = [null,null,null,null,null,null,null,null,null,null];
(statearr_19788[(0)] = eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__);

(statearr_19788[(1)] = (1));

return statearr_19788;
});
var eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____1 = (function (state_19769){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19769);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19789){if((e19789 instanceof Object)){
var ex__13817__auto__ = e19789;
var statearr_19790_19822 = state_19769;
(statearr_19790_19822[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19769);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19789;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__19827 = state_19769;
state_19769 = G__19827;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__ = function(state_19769){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____1.call(this,state_19769);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____0;
eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto____1;
return eginez$huckleberry$core$retrieve_all_$_state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__))
})();
var state__13838__auto__ = (function (){var statearr_19792 = f__13837__auto__.call(null);
(statearr_19792[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19792;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__))
);

return c__13836__auto__;
});
eginez.huckleberry.core.retrieve_dependencies = (function eginez$huckleberry$core$retrieve_dependencies(p__19830,local_repo,offline_QMARK_){
var vec__19846 = p__19830;
var _ = cljs.core.nth.call(null,vec__19846,(0),null);
var ___$1 = cljs.core.nth.call(null,vec__19846,(1),null);
var dep_list = cljs.core.nth.call(null,vec__19846,(2),null);
var local_deps = cljs.core.filter.call(null,((function (vec__19846,_,___$1,dep_list){
return (function (p1__19828_SHARP_){
return eginez.huckleberry.core.is_url_local_QMARK_.call(null,new cljs.core.Keyword(null,"url","url",276297046).cljs$core$IFn$_invoke$arity$1(p1__19828_SHARP_));
});})(vec__19846,_,___$1,dep_list))
,dep_list);
var remote_deps = cljs.core.filter.call(null,((function (local_deps,vec__19846,_,___$1,dep_list){
return (function (p1__19829_SHARP_){
return cljs.core.not.call(null,eginez.huckleberry.core.is_url_local_QMARK_.call(null,new cljs.core.Keyword(null,"url","url",276297046).cljs$core$IFn$_invoke$arity$1(p1__19829_SHARP_)));
});})(local_deps,vec__19846,_,___$1,dep_list))
,dep_list);
if(cljs.core.truth_((function (){var and__6531__auto__ = offline_QMARK_;
if(cljs.core.truth_(and__6531__auto__)){
return (local_repo == null);
} else {
return and__6531__auto__;
}
})())){
return null;
} else {
if(cljs.core.empty_QMARK_.call(null,remote_deps)){
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list){
return (function (state_19851){
var state_val_19852 = (state_19851[(1)]);
if((state_val_19852 === (1))){
var state_19851__$1 = state_19851;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19851__$1,dep_list);
} else {
return null;
}
});})(c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list))
;
return ((function (switch__13813__auto__,c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list){
return (function() {
var eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__ = null;
var eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____0 = (function (){
var statearr_19856 = [null,null,null,null,null,null,null];
(statearr_19856[(0)] = eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__);

(statearr_19856[(1)] = (1));

return statearr_19856;
});
var eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____1 = (function (state_19851){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19851);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19857){if((e19857 instanceof Object)){
var ex__13817__auto__ = e19857;
var statearr_19858_19869 = state_19851;
(statearr_19858_19869[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19851);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19857;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__19870 = state_19851;
state_19851 = G__19870;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__ = function(state_19851){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____1.call(this,state_19851);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____0;
eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto____1;
return eginez$huckleberry$core$retrieve_dependencies_$_state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list))
})();
var state__13838__auto__ = (function (){var statearr_19859 = f__13837__auto__.call(null);
(statearr_19859[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19859;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__,local_deps,remote_deps,vec__19846,_,___$1,dep_list))
);

return c__13836__auto__;
} else {
return eginez.huckleberry.core.retrieve_all.call(null,local_deps,remote_deps,local_repo);
}
}
});
eginez.huckleberry.core.resolve_dependencies = (function eginez$huckleberry$core$resolve_dependencies(var_args){
var args__7658__auto__ = [];
var len__7651__auto___19958 = arguments.length;
var i__7652__auto___19959 = (0);
while(true){
if((i__7652__auto___19959 < len__7651__auto___19958)){
args__7658__auto__.push((arguments[i__7652__auto___19959]));

var G__19961 = (i__7652__auto___19959 + (1));
i__7652__auto___19959 = G__19961;
continue;
} else {
}
break;
}

var argseq__7659__auto__ = ((((0) < args__7658__auto__.length))?(new cljs.core.IndexedSeq(args__7658__auto__.slice((0)),(0),null)):null);
return eginez.huckleberry.core.resolve_dependencies.cljs$core$IFn$_invoke$arity$variadic(argseq__7659__auto__);
});

eginez.huckleberry.core.resolve_dependencies.cljs$core$IFn$_invoke$arity$variadic = (function (p__19887){
var map__19888 = p__19887;
var map__19888__$1 = ((((!((map__19888 == null)))?((((map__19888.cljs$lang$protocol_mask$partition0$ & (64))) || ((cljs.core.PROTOCOL_SENTINEL === map__19888.cljs$core$ISeq$)))?true:false):false))?cljs.core.apply.call(null,cljs.core.hash_map,map__19888):map__19888);
var repositories = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"repositories","repositories",1367837581));
var coordinates = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"coordinates","coordinates",-1225332668));
var retrieve = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"retrieve","retrieve",-657129560),true);
var local_repo = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"local-repo","local-repo",764410280));
var proxy = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"proxy","proxy",-117453614));
var mirrors = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"mirrors","mirrors",-747507693));
var managed_coordinates = cljs.core.get.call(null,map__19888__$1,new cljs.core.Keyword(null,"managed-coordinates","managed-coordinates",369843210));
var c__13836__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates){
return (function (){
var f__13837__auto__ = (function (){var switch__13813__auto__ = ((function (c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates){
return (function (state_19916){
var state_val_19917 = (state_19916[(1)]);
if((state_val_19917 === (7))){
var inst_19903 = (state_19916[(2)]);
var inst_19904 = cljs.core.map.call(null,eginez.huckleberry.core.dependency,coordinates);
var inst_19905 = eginez.huckleberry.core.resolve_all.call(null,inst_19904,new cljs.core.Keyword(null,"repositories","repositories",1367837581),inst_19903,new cljs.core.Keyword(null,"local-repo","local-repo",764410280),local_repo);
var state_19916__$1 = state_19916;
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19916__$1,(8),inst_19905);
} else {
if((state_val_19917 === (1))){
var state_19916__$1 = state_19916;
if(cljs.core.truth_(local_repo)){
var statearr_19927_19973 = state_19916__$1;
(statearr_19927_19973[(1)] = (2));

} else {
var statearr_19928_19976 = state_19916__$1;
(statearr_19928_19976[(1)] = (3));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (4))){
var inst_19897 = (state_19916[(2)]);
var state_19916__$1 = (function (){var statearr_19929 = state_19916;
(statearr_19929[(7)] = inst_19897);

return statearr_19929;
})();
if(cljs.core.truth_(repositories)){
var statearr_19930_19977 = state_19916__$1;
(statearr_19930_19977[(1)] = (5));

} else {
var statearr_19933_19978 = state_19916__$1;
(statearr_19933_19978[(1)] = (6));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (6))){
var inst_19897 = (state_19916[(7)]);
var inst_19900 = cljs.core.assoc.call(null,eginez.huckleberry.core.default_repos,new cljs.core.Keyword(null,"local","local",-1497766724),inst_19897);
var inst_19901 = cljs.core.vals.call(null,inst_19900);
var state_19916__$1 = state_19916;
var statearr_19934_19980 = state_19916__$1;
(statearr_19934_19980[(2)] = inst_19901);

(statearr_19934_19980[(1)] = (7));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (3))){
var inst_19895 = new cljs.core.Keyword(null,"local","local",-1497766724).cljs$core$IFn$_invoke$arity$1(eginez.huckleberry.core.default_repos);
var state_19916__$1 = state_19916;
var statearr_19935_19988 = state_19916__$1;
(statearr_19935_19988[(2)] = inst_19895);

(statearr_19935_19988[(1)] = (4));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (12))){
var inst_19911 = (state_19916[(2)]);
var state_19916__$1 = state_19916;
var statearr_19936_19991 = state_19916__$1;
(statearr_19936_19991[(2)] = inst_19911);

(statearr_19936_19991[(1)] = (11));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (2))){
var state_19916__$1 = state_19916;
var statearr_19937_19992 = state_19916__$1;
(statearr_19937_19992[(2)] = local_repo);

(statearr_19937_19992[(1)] = (4));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (11))){
var inst_19914 = (state_19916[(2)]);
var state_19916__$1 = state_19916;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_19916__$1,inst_19914);
} else {
if((state_val_19917 === (9))){
var inst_19897 = (state_19916[(7)]);
var inst_19907 = (state_19916[(8)]);
var inst_19909 = eginez.huckleberry.core.retrieve_dependencies.call(null,inst_19907,inst_19897,false);
var state_19916__$1 = state_19916;
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_19916__$1,(12),inst_19909);
} else {
if((state_val_19917 === (5))){
var state_19916__$1 = state_19916;
var statearr_19938_19993 = state_19916__$1;
(statearr_19938_19993[(2)] = repositories);

(statearr_19938_19993[(1)] = (7));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (10))){
var inst_19907 = (state_19916[(8)]);
var state_19916__$1 = state_19916;
var statearr_19940_19994 = state_19916__$1;
(statearr_19940_19994[(2)] = inst_19907);

(statearr_19940_19994[(1)] = (11));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_19917 === (8))){
var inst_19907 = (state_19916[(2)]);
var state_19916__$1 = (function (){var statearr_19942 = state_19916;
(statearr_19942[(8)] = inst_19907);

return statearr_19942;
})();
if(cljs.core.truth_(retrieve)){
var statearr_19943_19996 = state_19916__$1;
(statearr_19943_19996[(1)] = (9));

} else {
var statearr_19944_19999 = state_19916__$1;
(statearr_19944_19999[(1)] = (10));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
return null;
}
}
}
}
}
}
}
}
}
}
}
}
});})(c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates))
;
return ((function (switch__13813__auto__,c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates){
return (function() {
var eginez$huckleberry$core$state_machine__13814__auto__ = null;
var eginez$huckleberry$core$state_machine__13814__auto____0 = (function (){
var statearr_19948 = [null,null,null,null,null,null,null,null,null];
(statearr_19948[(0)] = eginez$huckleberry$core$state_machine__13814__auto__);

(statearr_19948[(1)] = (1));

return statearr_19948;
});
var eginez$huckleberry$core$state_machine__13814__auto____1 = (function (state_19916){
while(true){
var ret_value__13815__auto__ = (function (){try{while(true){
var result__13816__auto__ = switch__13813__auto__.call(null,state_19916);
if(cljs.core.keyword_identical_QMARK_.call(null,result__13816__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__13816__auto__;
}
break;
}
}catch (e19949){if((e19949 instanceof Object)){
var ex__13817__auto__ = e19949;
var statearr_19950_20009 = state_19916;
(statearr_19950_20009[(5)] = ex__13817__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_19916);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e19949;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__13815__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__20011 = state_19916;
state_19916 = G__20011;
continue;
} else {
return ret_value__13815__auto__;
}
break;
}
});
eginez$huckleberry$core$state_machine__13814__auto__ = function(state_19916){
switch(arguments.length){
case 0:
return eginez$huckleberry$core$state_machine__13814__auto____0.call(this);
case 1:
return eginez$huckleberry$core$state_machine__13814__auto____1.call(this,state_19916);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$0 = eginez$huckleberry$core$state_machine__13814__auto____0;
eginez$huckleberry$core$state_machine__13814__auto__.cljs$core$IFn$_invoke$arity$1 = eginez$huckleberry$core$state_machine__13814__auto____1;
return eginez$huckleberry$core$state_machine__13814__auto__;
})()
;})(switch__13813__auto__,c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates))
})();
var state__13838__auto__ = (function (){var statearr_19957 = f__13837__auto__.call(null);
(statearr_19957[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__13836__auto__);

return statearr_19957;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__13838__auto__);
});})(c__13836__auto__,map__19888,map__19888__$1,repositories,coordinates,retrieve,local_repo,proxy,mirrors,managed_coordinates))
);

return c__13836__auto__;
});

eginez.huckleberry.core.resolve_dependencies.cljs$lang$maxFixedArity = (0);

eginez.huckleberry.core.resolve_dependencies.cljs$lang$applyTo = (function (seq19877){
return eginez.huckleberry.core.resolve_dependencies.cljs$core$IFn$_invoke$arity$variadic(cljs.core.seq.call(null,seq19877));
});

